#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) LDFLAGS="-shared -fPIC"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m755 sa-exim-*so \
		$(CURDIR)/debian/sa-exim/usr/lib/exim4/local_scan/sa-exim.so
	install -m755 accept*so \
		$(CURDIR)/debian/sa-exim/usr/lib/exim4/local_scan/accept.so
	sed "s/\/var\/spool\/exim/\/var\/spool\/sa-exim/" < sa-exim.conf > \
		$(CURDIR)/debian/sa-exim/etc/exim4/sa-exim.conf
	chmod 644 $(CURDIR)/debian/sa-exim/etc/exim4/sa-exim.conf
	install -m644 debian/15_sa-exim_plugin_path \
		$(CURDIR)/debian/sa-exim/etc/exim4/conf.d/main
	install -m644 SA-greylisting-2.4x.diff \
		$(CURDIR)/debian/sa-exim/usr/share/doc/sa-exim/sa2.xpatches
	install -m644 SA-greylisting-2.6.diff \
		$(CURDIR)/debian/sa-exim/usr/share/doc/sa-exim/sa2.xpatches
	install -m644 Greylisting.pm \
		$(CURDIR)/debian/sa-exim/usr/share/perl5/Mail/SpamAssassin/Plugin/Greylisting.pm
	install -m644 greylistclean.cron \
		$(CURDIR)/debian/sa-exim/etc/cron.hourly/greylistclean

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog.html
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xvar/spool/sa-exim
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
